[Scilab-users] Scilab 6.0.1 and OSX Mojave

classic Classic list List threaded Threaded
2 messages Options
mottelet mottelet
Reply | Threaded
Open this post in threaded view
|

[Scilab-users] Scilab 6.0.1 and OSX Mojave

[hidden email] a écrit :

I need your help, with the new Mojave update and running scilab,

I fully don´t understand what to do, please I really need to use this application, I have to go to the terminal, and then I couldn't do anything, it displays that this system may fail, and only supported by mountain lion to high sierra

Need your help ASAP

_____________________________________Sent from https://antispam.utc.fr/proxy/1/c3RlcGhhbmUubW90dGVsZXRAdXRjLmZy/mailinglists.scilab.org

Hello,

You have to remove some libraries bundled with Scilab. In order that you just have to copy/paste the following commands, make sure that you have copied scilab 6.0.1 to the /Applications folder:

rm /Applications/scilab-6.0.1.app/Contents/MacOS/lib/thirdparty/libBLAS.dylib

rm /Applications/scilab-6.0.1.app/Contents/MacOS/lib/thirdparty/libz.1.dylib


After removing these libraries, Scilab should start. However, you may be prompted to install an old Java version, which is available at the following url: 

https://support.apple.com/kb/dl1572

S.


_______________________________________________
users mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users
Heinz Nabielek-3 Heinz Nabielek-3
Reply | Threaded
Open this post in threaded view
|

Re: Scilab 6.0.1 and OSX Mojave

I had used the Stéphane-Mottelet-recipe weeks ago and it works fine:
System Version: macOS 10.14.1 (18B73a)
--> getversion() --> scilab-6.0.1
Heinz

> On 31.10.2018, at 10:19, [hidden email] wrote:
>
> [hidden email] a écrit :
>
>> I need your help, with the new Mojave update and running scilab,
>>
>> I fully don´t understand what to do, please I really need to use this application, I have to go to the terminal, and then I couldn't do anything, it displays that this system may fail, and only supported by mountain lion to high sierra
>>
>> Need your help ASAP
>>
>> _____________________________________Sent from https://antispam.utc.fr/proxy/1/c3RlcGhhbmUubW90dGVsZXRAdXRjLmZy/mailinglists.scilab.org
>>
> Hello,
>
> You have to remove some libraries bundled with Scilab. In order that you just have to copy/paste the following commands, make sure that you have copied scilab 6.0.1 to the /Applications folder:
>
> rm /Applications/scilab-6.0.1.app/Contents/MacOS/lib/thirdparty/libBLAS.dylib
>
> rm /Applications/scilab-6.0.1.app/Contents/MacOS/lib/thirdparty/libz.1.dylib
>
> After removing these libraries, Scilab should start. However, you may be prompted to install an old Java version, which is available at the following url:
>
> https://support.apple.com/kb/dl1572
>
> S.
>
> _______________________________________________
> users mailing list
> [hidden email]
> http://lists.scilab.org/mailman/listinfo/users

_______________________________________________
users mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users